Loading...
Searching...
No Matches
Http_payload

## Macros

#define | HTTP_PAYLOAD_INIT()
| Initializer for structure http_payload_t.
#define | HTTPTAG_PAYLOAD(x)
| Tag list item for pointer to a message payload object.
#define | HTTPTAG_PAYLOAD_STR(s)
| Tag list item for string with message payload value.

## Enumerations

enum | { http_payload_hash }

## Functions

http_payload_t * | http_payload_init (http_payload_t x[1])
| Initialize a structure http_payload_t.
int | http_is_payload (http_header_t const *header)
| Test if header object is instance of http_payload_t.
http_payload_t * | http_payload_dup (su_home_t *home, http_payload_t const *hdr))
| Duplicate (deep copy) `http_payload_t`.
http_payload_t * | http_payload_copy (su_home_t *home, http_payload_t const *hdr))
| Copy a http_payload_t header structure.
http_payload_t * | http_payload_make (su_home_t *home, char const *s))
| Make a header structure http_payload_t.
http_payload_t * | http_payload_format (su_home_t *home, char const *fmt,...)))
| Make a message payload from formatting result.

## Variables

msg_hclass_t | http_payload_class []
| Header class for HTTP message payload.
msg_parse_f | http_payload_d
| Decode (parse) a message payload.
msg_print_f | http_payload_e
| Encode (print) a message payload.

## Detailed Description

## Macro Definition Documentation

## HTTP_PAYLOAD_INIT

#define HTTP_PAYLOAD_INIT | ( |  | ) |

Initializer for structure http_payload_t.

A static http_payload_t structure must be initialized with the HTTP_PAYLOAD_INIT() macro. For instance,

http_payload_t http_payload = HTTP_PAYLOAD_INIT;
HTTP_PAYLOAD_INIT
#define HTTP_PAYLOAD_INIT()
Initializer for structure http_payload_t.
Definition http_protos.h:14342
http_payload_t
msg_payload_t http_payload_t
Entity-body.
Definition http.h:167

## HTTPTAG_PAYLOAD

#define HTTPTAG_PAYLOAD | ( |  | x | ) |

Tag list item for pointer to a message payload object.

The HTTPTAG_PAYLOAD() macro is used to include a tag item with a pointer to a http_payload_t object in a tag list.

Parameters

  x | pointer to a http_payload_t header structure, or NULL.

## HTTPTAG_PAYLOAD_STR

#define HTTPTAG_PAYLOAD_STR | ( |  | s | ) |

Tag list item for string with message payload value.

The HTTPTAG_PAYLOAD_STR() macro is used to include a tag item with a string containing value of a http_payload_t header in a tag list.

Parameters

  s | pointer to a string containing http_payload_t value, or NULL.

The HTTPTAG_PAYLOAD_STR string can be converted to a http_payload_t header structure by giving the string s has second argument to function http_payload_make().

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_payload_hash | Hash of message payload.

## Function Documentation

## http_is_payload()

int http_is_payload | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_payload_t.

The function http_is_payload() returns true (nonzero) if the header class is an instance of message payload object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xpayload() returns true (nonzero) if the header object is an instance of header payload and false (zero) otherwise.

## http_payload_copy()

http_payload_t * http_payload_copy | ( | su_home_t * | home,
|  | http_payload_t const * | hdr )

inline

Copy a http_payload_t header structure.

The function http_payload_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  payload = http_payload_copy(home, http->http_payload);
  http_payload_copy
  http_payload_t * http_payload_copy(su_home_t *home, http_payload_t const *hdr))
  Copy a http_payload_t header structure.
  Definition http_protos.h:14536

Returns
  The function http_payload_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_payload_dup()

http_payload_t * http_payload_dup | ( | su_home_t * | home,
|  | http_payload_t const * | hdr )

inline

Duplicate (deep copy) `http_payload_t`.

The function http_payload_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  payload = http_payload_dup(home, http->http_payload);
  http_payload_dup
  http_payload_t * http_payload_dup(su_home_t *home, http_payload_t const *hdr))
  Duplicate (deep copy) http_payload_t.
  Definition http_protos.h:14529

Returns
  The function http_payload_dup() returns a pointer to the newly duplicated http_payload_t header structure, or NULL upon an error.

## http_payload_format()

http_payload_t * http_payload_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a message payload from formatting result.

The function http_payload_format() makes a new message payload object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_payload_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_payload_init()

http_payload_t * http_payload_init | ( | http_payload_t | x[1] | ) |

inline

Initialize a structure http_payload_t.

An http_payload_t structure can be initialized with the http_payload_init() function/macro. For instance,

http_payload_t http_payload;
http_payload_init(&http_payload);
http_payload_init
http_payload_t * http_payload_init(http_payload_t x[1])
Initialize a structure http_payload_t.
Definition http_protos.h:14358

## http_payload_make()

http_payload_t * http_payload_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_payload_t.

The function http_payload_make() makes a new http_payload_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_payload_make() returns a pointer to newly maked http_payload_t header structure, or NULL upon an error.

## Variable Documentation

## http_payload_class

msg_hclass_t http_payload_class[]

extern

Header class for HTTP message payload.

The header class http_payload_class defines how a HTTP message payload is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_payload_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.